Red Hat: 2010:0331-01: GFS-kernel: Moderate Advisory
Posted by Benjamin D. Thomas   
RedHat Linux Updated GFS-kernel packages that fix one security issue are now available for Red Hat Enterprise Linux 4.8, kernel release 2.6.9-89.0.20.EL. The Red Hat Security Response Team has rated this update as having moderate [More...]
=====================================================================
                   Red Hat Security Advisory

Synopsis:          Moderate: GFS-kernel security and bug fix update
Advisory ID:       RHSA-2010:0331-01
Product:           Red Hat Global File System
Advisory URL:      https://rhn.redhat.com/errata/RHSA-2010-0331.html
Issue date:        2010-03-30
CVE Names:         CVE-2010-0727 
=====================================================================

1. Summary:

Updated GFS-kernel packages that fix one security issue are now available
for Red Hat Enterprise Linux 4.8, kernel release 2.6.9-89.0.20.EL.

The Red Hat Security Response Team has rated this update as having moderate
security impact. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available from the CVE link in
the References section.

2. Relevant releases/architectures:

Red Hat Global File System 4AS - i386, ia64, ppc, x86_64
Red Hat Global File System 4ES - i386, ia64, x86_64
Red Hat Global File System 4WS - i386, ia64, x86_64

3. Description:

The GFS-kernel packages contain modules that provide the ability to mount
and use GFS file systems.

A flaw was found in the gfs_lock() implementation. The GFS locking code
could skip the lock operation for files that have the S_ISGID bit
(set-group-ID on execution) in their mode set. A local, unprivileged user
on a system that has a GFS file system mounted could use this flaw to cause
a kernel panic. (CVE-2010-0727)

As well, these updated GFS-kernel packages are in sync with the latest
kernel (2.6.9-89.0.20.EL). The modules in earlier GFS-kernel packages fail
to load because they do not match the running kernel. It is possible to
force-load the modules; however, with this update, force-loading the
modules is not required.

Users are advised to upgrade to these latest GFS-kernel packages, which
resolve this issue and are updated for use with the 2.6.9-89.0.20.EL
kernel.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
http://kbase.redhat.com/faq/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

570863 - CVE-2010-0727 bug in GFS/GFS2 locking code leads to dos

6. Package List:

Red Hat Global File System 4AS:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/RHGFS/SRPMS/GFS-kernel-2.6.9-85.2.el4_8.10.src.rpm

i386:
GFS-kernel-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-hugemem-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-smp-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-xenU-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.i686.rpm

ia64:
GFS-kernel-2.6.9-85.2.el4_8.10.ia64.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.ia64.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.ia64.rpm

ppc:
GFS-kernel-2.6.9-85.2.el4_8.10.ppc64.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.ppc64.rpm
GFS-kernel-largesmp-2.6.9-85.2.el4_8.10.ppc64.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.ppc64.rpm

x86_64:
GFS-kernel-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-largesmp-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-smp-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-xenU-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.x86_64.rpm

Red Hat Global File System 4ES:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/RHGFS/SRPMS/GFS-kernel-2.6.9-85.2.el4_8.10.src.rpm

i386:
GFS-kernel-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-hugemem-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-smp-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-xenU-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.i686.rpm

ia64:
GFS-kernel-2.6.9-85.2.el4_8.10.ia64.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.ia64.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.ia64.rpm

x86_64:
GFS-kernel-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-largesmp-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-smp-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-xenU-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.x86_64.rpm

Red Hat Global File System 4WS:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/RHGFS/SRPMS/GFS-kernel-2.6.9-85.2.el4_8.10.src.rpm

i386:
GFS-kernel-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-hugemem-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-smp-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernel-xenU-2.6.9-85.2.el4_8.10.i686.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.i686.rpm

ia64:
GFS-kernel-2.6.9-85.2.el4_8.10.ia64.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.ia64.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.ia64.rpm

x86_64:
GFS-kernel-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-debuginfo-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-largesmp-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-smp-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernel-xenU-2.6.9-85.2.el4_8.10.x86_64.rpm
GFS-kernheaders-2.6.9-85.2.el4_8.10.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and 
details on how to verify the signature are available from
https://www.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2010-0727.html
http://www.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is .  More contact
details at https://www.redhat.com/security/team/contact/

Copyright 2010 Red Hat, Inc.